> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargefy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Request

> Consulta um request.

Consulta um `request` pelo ID.

<ParamField path="id" type="string" required>
  ID do request (`req_*`).
</ParamField>

<RequestExample>
  ```bash cURL theme={}
  curl -X GET "https://api.chargefy.io/v1/requests/req_123" \
    -H "Authorization: Bearer {{API_KEY}}"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={}
  {
    "id": "req_123",
    "object": "request",
    "actor": {
      "id": "sk_live_123",
      "type": "api_key"
    },
    "api_key": "sk_live_123",
    "completed_at": "2026-05-27T14:09:28Z",
    "created_at": "2026-05-27T14:09:27Z",
    "duration_ms": 184,
    "error": null,
    "ip_address": "203.0.113.10",
    "livemode": true,
    "metadata": {},
    "method": "POST",
    "path": "/v1/payment-intents",
    "query": {},
    "related_objects": [
      {
        "id": "pi_123",
        "object": "payment_intent"
      }
    ],
    "request_body": {
      "amount": 9900,
      "currency": "brl"
    },
    "request_body_type": "json",
    "request_headers": {
      "authorization": "[redacted]",
      "content-type": "application/json"
    },
    "request_log_url": "https://dashboard.chargefy.io/request-logs/req_123",
    "response_body": {
      "id": "pi_123",
      "object": "payment_intent",
      "amount": 9900,
      "created_at": "2026-05-27T14:09:27Z",
      "currency": "brl",
      "livemode": true,
      "metadata": {},
      "status": "requires_payment_method",
      "updated_at": "2026-05-27T14:09:27Z"
    },
    "response_body_type": "json",
    "response_headers": {
      "content-type": "application/json"
    },
    "source": "api",
    "status": "succeeded",
    "status_code": 200,
    "updated_at": "2026-05-27T14:09:28Z",
    "user_agent": "curl/8.7.1"
  }
  ```

  ```json 404 theme={}
  {
    "error": {
      "code": "resource_missing",
      "message": "No such request",
      "param": "id",
      "request_log_url": "https://dashboard.chargefy.io/request-logs/req_456",
      "type": "invalid_request_error"
    }
  }
  ```
</ResponseExample>
